/*
0 - 450px       Small Phone
450 - 600px:      Phone
600-900px:      Table portrait
900-1200px:     Table landscape
1200-1800px:    Is where our normal styles apply
1800px + :      Big desktop

$breakpoint argument choices:
- phone
- tab-portrait
- tab-lanscape
- big-desktop

ORDER: Base + typography > general layout + grid > page layout > components

1em = 16px
*/
@keyframes moveInBottom {
  0% {
    opacity: 0;
    transform: translateY(4rem);
  }
  100% {
    opacity: 1;
    transform: translate(0);
  }
}

*,
*::after,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

html {
  font-size: 62.5%;
}
@media (max-width: 75em) {
  html {
    font-size: 56.25%;
  }
}
@media (max-width: 56.25em) {
  html {
    font-size: 50%;
  }
}
@media (max-width: 37.5em) {
  html {
    font-size: 43.75%;
  }
}
@media (min-width: 112.5em) {
  html {
    font-size: 75%;
  }
}

body {
  box-sizing: border-box;
}

body {
  font-family: 'Montserrat', sans-serif;
  font-weight: 400;
  line-height: 1.7;
  color: #000;
}

.heading-tertiary {
  color: #000;
  font-size: 2.5rem;
  text-transform: uppercase;
  letter-spacing: 3px;
}
@media (max-width: 37.5em) {
  .heading-tertiary {
    letter-spacing: 2px;
  }
}
@media (max-width: 28.125em) {
  .heading-tertiary {
    letter-spacing: 1px;
  }
}

.heading-tertiary-white {
  color: #fff;
  font-size: 2.5rem;
  text-transform: uppercase;
  letter-spacing: 3px;
}
@media (max-width: 37.5em) {
  .heading-tertiary-white {
    letter-spacing: 2px;
  }
}
@media (max-width: 28.125em) {
  .heading-tertiary-white {
    letter-spacing: 1px;
  }
}

.container {
  margin: 0 auto;
  max-width: 120rem;
}

.u-margin-bottom-sm {
  margin-bottom: 0.8rem;
}

.u-margin-bottom-md {
  margin-bottom: 3rem;
}

.u-margin-bottom-lg {
  margin-bottom: 6rem;
}

.about__container {
  display: flex;
  margin-bottom: 15rem;
  flex-flow: row wrap;
}
@media (max-width: 37.5em) {
  .about__container {
    margin-bottom: 10rem;
  }
}
.about__container__left {
  width: 50%;
  padding-right: 5rem;
}
@media (max-width: 37.5em) {
  .about__container__left {
    width: 100%;
    text-align: center;
    padding: 0 5rem;
    margin-bottom: 7rem;
  }
}
@media (max-width: 28.125em) {
  .about__container__left {
    padding: 0 1rem;
  }
}
.about__container__right {
  width: 50%;
  padding-left: 5rem;
}
@media (max-width: 37.5em) {
  .about__container__right {
    width: 100%;
    text-align: center;
    padding: 0 5rem;
  }
}
@media (max-width: 28.125em) {
  .about__container__right {
    padding: 0 1rem;
  }
}
.about__container__right__image {
  width: 100%;
  height: 35rem;
  background-image: url('./img/bar.jpg');
  background-size: cover;
  background-position: center center;
  box-shadow: 0 2rem 3rem rgba(0, 0, 0, 0.2);
}

.about__text--sub {
  font-size: 1.7rem;
  text-transform: uppercase;
  letter-spacing: 4px;
  margin-bottom: 1rem;
}

.about__text--heading {
  font-size: 3rem;
  text-transform: capitalize;
  font-weight: 600;
  margin-bottom: 2rem;
  letter-spacing: 1px;
}

.about__text--description {
  font-size: 1.7rem;
  letter-spacing: 1px;
}

.about__team {
  text-align: center;
}
.about__team__header {
  font-size: 3rem;
  text-transform: uppercase;
  margin-bottom: 3rem;
  color: #da8525;
  letter-spacing: 2px;
}
.about__team__container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}
.about__team__container__grid {
  width: 33%;
  padding: 2rem;
}
@media (max-width: 37.5em) {
  .about__team__container__grid {
    width: 50%;
  }
}
.about__team__container__grid__image {
  height: 20rem;
  width: 20rem;
  border-radius: 50%;
  margin: 0 auto 2rem;
  background-color: yellow;
  background-repeat: no-repeat;
  box-shadow: 0 1.5rem 4rem rgba(0, 0, 0, 0.15);
}
@media (max-width: 28.125em) {
  .about__team__container__grid__image {
    height: 17rem;
    width: 17rem;
  }
}
.about__team__container__grid__image--1 {
  background-image: url('./img/headchef.jpg');
  background-position: 71% 0%;
  background-size: 50rem;
}
@media (max-width: 28.125em) {
  .about__team__container__grid__image--1 {
    background-size: 43rem;
  }
}
.about__team__container__grid__image--2 {
  background-image: url('./img/headbartender.jpg');
  background-position: 50% 75%;
  background-size: cover;
}
.about__team__container__grid__image--3 {
  background-image: url('./img/manager.jpg');
  background-position: center top;
  background-size: cover;
}
.about__team__container__grid__text--name {
  font-size: 2rem;
  text-transform: capitalize;
  letter-spacing: 1px;
}
.about__team__container__grid__text--title {
  font-size: 1.3rem;
  text-transform: capitalize;
  font-weight: 600;
  color: #da8525;
}

.drinks__header {
  height: 8rem;
  margin: 0 auto;
  text-align: center;
}

.drinks__menu__container {
  width: 100%;
  margin-bottom: 3rem;
}

.drinks__menu__list {
  display: flex;
  width: 100%;
  padding: 1rem;
  flex-wrap: wrap;
  justify-content: space-between;
}
.drinks__menu__list__items {
  color: #fff;
  display: flex;
  width: 30%;
  margin-bottom: 1.5rem;
}
.drinks__menu__list__items--left {
  width: 80%;
  text-align: left;
}
.drinks__menu__list__items--right {
  width: 20%;
  text-align: right;
}
.drinks__menu__list__items--name {
  font-size: 1.65rem;
  text-transform: capitalize;
  font-weight: 600;
}
.drinks__menu__list__items--description {
  font-size: 1.5rem;
  line-height: 1.2;
}
.drinks__menu__list__items--price {
  font-size: 1.5rem;
}
@media (max-width: 37.5em) {
  .drinks__menu__list__items {
    width: 100%;
    margin-bottom: 2rem;
  }
  .drinks__menu__list__items--name {
    font-size: 2rem;
  }
  .drinks__menu__list__items--description {
    font-size: 1.6rem;
    line-height: 1.3;
  }
  .drinks__menu__list__items--price {
    font-size: 1.8rem;
  }
}

.images {
  width: 100%;
  height: 200vh;
  text-align: center;
  background-color: white;
  border: 0.5rem solid white;
}
@media (max-width: 37.5em) {
  .images {
    min-height: 370rem;
  }
}
.images__container--small {
  width: 33.3%;
  height: 40%;
  display: inline-block;
}
.images__container--medium {
  width: 100%;
  height: 20%;
}
.images__container--big {
  width: 66.7%;
  height: 40%;
  display: inline-block;
}
@media (max-width: 37.5em) {
  .images__container--small {
    width: 100%;
    height: 22.22%;
  }
  .images__container--medium {
    width: 100%;
    height: 33.33%;
  }
  .images__container--big {
    width: 100%;
    height: 11.11%;
  }
}
.images__box--small {
  width: 100%;
  height: 50%;
  border: 0.5rem solid white;
  position: relative;
}
.images__box--smallmed {
  width: calc(100% / 3);
  height: 100%;
  border: 0.5rem solid white;
  display: inline-block;
  position: relative;
}
.images__box--big {
  width: 100%;
  height: 100%;
  border: 0.5rem solid white;
  position: relative;
}
@media (max-width: 37.5em) {
  .images__box--smallmed {
    width: 100%;
    height: calc(100% / 3);
  }
}
.images__img {
  background-size: cover;
  background-position: center;
}
.images__img--1 {
  background-image: linear-gradient(
      to right bottom,
      rgba(255, 255, 255, 0.2),
      rgba(0, 0, 0, 0.2)
    ),
    url('./img/menu-pokenachos.jpg');
}
.images__img--2 {
  background-image: linear-gradient(
      to right bottom,
      rgba(0, 0, 0, 0.2),
      rgba(0, 0, 0, 0.2)
    ),
    url('./img/menu-salmonsalad.jpg');
}
.images__img--3 {
  background-image: linear-gradient(
      to right bottom,
      rgba(0, 0, 0, 0.2),
      rgba(0, 0, 0, 0.2)
    ),
    url('./img/menu-pansearedahi.jpg');
}
.images__img--4 {
  background-image: linear-gradient(
      to right bottom,
      rgba(0, 0, 0, 0.2),
      rgba(0, 0, 0, 0.2)
    ),
    url('./img/menu-bbqbaconburger.jpg');
}
.images__img--5 {
  background-image: linear-gradient(
      to right bottom,
      rgba(0, 0, 0, 0.2),
      rgba(0, 0, 0, 0.2)
    ),
    url('./img/menu-mule.jpg');
}
.images__img--6 {
  background-image: linear-gradient(
      to right bottom,
      rgba(0, 0, 0, 0.2),
      rgba(0, 0, 0, 0.2)
    ),
    url('./img/menu-draftbeer.jpg');
}
.images__img--7 {
  background-image: linear-gradient(
      to right bottom,
      rgba(0, 0, 0, 0.2),
      rgba(0, 0, 0, 0.2)
    ),
    url('./img/menu-brownies.jpg');
}
.images__img--8 {
  background-image: linear-gradient(
      to right bottom,
      rgba(0, 0, 0, 0.2),
      rgba(0, 0, 0, 0.2)
    ),
    url('./img/menu-crabcake.jpg');
}
.images__img--9 {
  background-image: linear-gradient(
      to right bottom,
      rgba(0, 0, 0, 0.2),
      rgba(0, 0, 0, 0.2)
    ),
    url('./img/menu-mojito.jpg');
}
.images__text {
  position: absolute;
  right: 0;
  top: 0;
  margin: 2rem 3rem;
  font-size: 1.5rem;
  text-transform: uppercase;
  font-weight: 700;
  color: #fff;
  letter-spacing: 2px;
}

.location {
  padding: 0 0 20rem 0;
  font-size: 0;
}
@media (max-width: 75em) {
  .location {
    padding: 0 3rem 20rem 3rem;
  }
}
.location__header {
  width: 100%;
  margin: 0 auto;
  text-align: center;
  margin-bottom: 8rem;
  letter-spacing: 2px;
}
@media (max-width: 37.5em) {
  .location__header {
    margin-bottom: 5rem;
  }
}
.location__header--main {
  text-transform: uppercase;
  font-size: 3rem;
  font-weight: 600;
}
.location__header--sub {
  font-size: 2rem;
  color: #da8525;
}
.location__left {
  display: inline-block;
  width: 25%;
}
@media (max-width: 37.5em) {
  .location__left {
    width: 100%;
    margin: 0 auto;
    text-align: center;
  }
}
.location__left__grids {
  padding-bottom: 6rem;
  width: 100%;
  display: inline-block;
  vertical-align: top;
}
@media (max-width: 37.5em) {
  .location__left__grids {
    width: 50%;
    padding-bottom: 4rem;
  }
}
.location__left--header {
  font-size: 2rem;
  text-transform: capitalize;
  color: #da8525;
}
@media (max-width: 28.125em) {
  .location__left--header {
    font-size: 1.9rem;
  }
}
.location__left--text {
  font-size: 1.5rem;
  text-transform: capitalize;
}
.location__right {
  display: inline-block;
  width: 75%;
  vertical-align: top;
  height: 50rem;
}
@media (max-width: 37.5em) {
  .location__right {
    width: 100%;
    height: 35rem;
  }
}
@media (max-width: 28.125em) {
  .location__right {
    height: 30rem;
  }
}

.menu__header {
  height: 8rem;
  margin: 0 auto;
  text-align: center;
}

.menu__container {
  width: 100%;
  margin-bottom: 3rem;
}

.menu__list {
  display: flex;
  width: 100%;
  padding: 1rem;
  flex-wrap: wrap;
  justify-content: space-between;
}
.menu__list__items {
  color: #000;
  display: flex;
  width: 30%;
  margin-bottom: 1.5rem;
}
.menu__list__items--left {
  width: 80%;
  text-align: left;
}
.menu__list__items--right {
  width: 20%;
  text-align: right;
}
.menu__list__items--name {
  font-size: 1.65rem;
  text-transform: capitalize;
  font-weight: 600;
}
.menu__list__items--description {
  font-size: 1.5rem;
  line-height: 1.2;
}
.menu__list__items--price {
  font-size: 1.5rem;
}
@media (max-width: 37.5em) {
  .menu__list__items {
    width: 100%;
    margin-bottom: 2rem;
  }
  .menu__list__items--name {
    font-size: 2rem;
  }
  .menu__list__items--description {
    font-size: 1.6rem;
    line-height: 1.3;
  }
  .menu__list__items--price {
    font-size: 1.8rem;
  }
}

.reservation {
  height: 40rem;
  width: 100%;
  background-color: #000;
  color: #fff;
  text-align: center;
  display: table;
}
@media (max-width: 37.5em) {
  .reservation {
    height: 30rem;
  }
}
.reservation__container {
  display: table-cell;
  vertical-align: middle;
}
.reservation__header {
  font-size: 3rem;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-weight: 700;
}
@media (max-width: 37.5em) {
  .reservation__header {
    font-size: 2.8rem;
  }
}
.reservation__text {
  font-size: 1rem;
  text-transform: uppercase;
  letter-spacing: 2px;
  margin-bottom: 1.8rem;
}
.reservation__text2 {
  font-size: 1.3rem;
  text-transform: capitalize;
  letter-spacing: 1px;
  margin-top: 4rem;
}
@media (max-width: 37.5em) {
  .reservation__text2 {
    font-size: 1.5rem;
  }
}
.reservation__button {
  transition: all 0.4s ease;
}
.reservation__button:link,
.reservation__button:visited {
  color: #fff;
  text-decoration: none;
  font-size: 1.3rem;
  display: inline-block;
  padding: 0.7em 2rem;
  border: 2px solid white;
}
@media (max-width: 37.5em) {
  .reservation__button:link,
  .reservation__button:visited {
    font-size: 1.5rem;
  }
}
.reservation__button:hover {
  color: #000;
  background: #fff;
}

.header {
  height: 100vh;
  background-image: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0.5),
      rgba(0, 0, 0, 0.5)
    ),
    url('./img/scwheaderreverse.jpg');
  background-size: cover;
  background-position: center;
  position: relative;
}
@media (max-width: 37.5em) {
  .header {
    background-position: 60% 50%;
  }
}
.header__header {
  position: absolute;
  text-align: center;
  left: 0;
  right: 0;
  bottom: 33%;
  width: 50%;
  margin: 0 auto;
}
@media (max-width: 37.5em) {
  .header__header {
    width: 75%;
  }
}
@media (max-width: 28.125em) {
  .header__header {
    width: 100%;
  }
}
.header__header__image {
  width: 75%;
}
@media (max-width: 56.25em) {
  .header__header__image {
    width: 90%;
  }
}
.header__header--main {
  font-size: 5rem;
  color: #fff;
}
.header__header--sub {
  font-size: 3rem;
  color: #fff;
}
.header__information {
  width: 100%;
  height: 15rem;
  display: flex;
  bottom: 0;
  position: absolute;
  padding: 2rem 4rem;
}
.header__information--weekdays,
.header__information--saturday,
.header__information--sunday {
  width: 18%;
}
@media (max-width: 56.25em) {
  .header__information--weekdays,
  .header__information--saturday,
  .header__information--sunday {
    width: 22%;
  }
}
@media (max-width: 37.5em) {
  .header__information--weekdays,
  .header__information--saturday,
  .header__information--sunday {
    width: 30%;
  }
}
@media (max-width: 28.125em) {
  .header__information--weekdays,
  .header__information--saturday,
  .header__information--sunday {
    width: 33%;
    text-align: center;
  }
}
.header__text--days {
  color: #fff;
  text-transform: uppercase;
  font-size: 1.9rem;
  letter-spacing: 2px;
  font-weight: 600;
}
.header__text--time {
  color: #fff;
  font-size: 1.5rem;
  letter-spacing: 1px;
}

nav.black {
  background: #000;
  padding: 1rem 0 1rem 0;
}

.nav {
  position: fixed;
  width: 100%;
  transition: 0.5s;
  padding: 3.5rem 0 1rem 0;
  z-index: 999;
}
@media (max-width: 37.5em) {
  .nav {
    padding: 1.5rem 0 1rem 0;
    background-color: #000;
  }
}
.nav__logo {
  width: 25%;
  padding: 0 2rem;
  text-align: center;
  height: 5rem;
}
@media (max-width: 37.5em) {
  .nav__logo {
    width: 80%;
    height: 6rem;
    text-align: left;
    font-size: 3.5rem;
  }
}
.nav__logo__image {
  width: 10rem;
}
@media (max-width: 37.5em) {
  .nav__logo__image {
    width: 12rem;
  }
}
.nav__menuicon {
  width: 15%;
  text-align: right;
  box-sizing: border-box;
  padding: 1.4rem 3rem;
  cursor: pointer;
  color: #fff;
  display: none;
}
@media (max-width: 37.5em) {
  .nav__menuicon {
    display: block;
    font-size: 2rem;
  }
}
.nav__menu {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
  flex-flow: wrap;
}
@media (max-width: 37.5em) {
  .nav__menu .showing {
    max-height: 70vh;
  }
}
.nav__menu--left {
  width: 35%;
  text-align: left;
}
@media (max-width: 37.5em) {
  .nav__menu--left {
    width: 100%;
  }
}
.nav__menu--right {
  width: 35%;
  text-align: right;
}
@media (max-width: 37.5em) {
  .nav__menu--right {
    width: 100%;
  }
}
.nav__menu ul {
  list-style: none;
  overflow: hidden;
  color: #fff;
  padding: 0;
  margin: 0;
}
@media (max-width: 37.5em) {
  .nav__menu ul {
    max-height: 0px;
    text-align: center;
    transition: all 0.5s;
  }
}
.nav__menu ul li {
  display: inline-block;
  padding: 1rem 1.8rem;
  cursor: pointer;
}
@media (max-width: 37.5em) {
  .nav__menu ul li {
    box-sizing: border-box;
    width: 100%;
    margin-bottom: 4rem;
  }
}
.nav__menu ul li .nav__links {
  text-decoration: none;
  color: #fff;
  font-size: 1.4rem;
  font-weight: 700;
  text-transform: uppercase;
  letter-spacing: 1px;
}
@media (max-width: 37.5em) {
  .nav__menu ul li .nav__links {
    font-size: 2rem;
  }
}
@media (max-width: 37.5em) {
  .nav__menu :nth-child(1) {
    order: 1;
  }
}

.section-about {
  min-height: 100vh;
  padding: 20rem 0;
  background-color: whitesmoke;
}
@media (max-width: 75em) {
  .section-about {
    padding: 20rem 3rem;
  }
}
@media (max-width: 56.25em) {
  .section-about {
    padding: 20rem 3rem;
  }
}
@media (max-width: 37.5em) {
  .section-about {
    padding: 15rem 3rem;
  }
}
@media (max-width: 28.125em) {
  .section-about {
    padding: 15rem 2rem;
  }
}

.section-menu-drinks {
  min-height: 100vh;
  padding: 10rem 0;
  background-image: linear-gradient(
      to right bottom,
      rgba(0, 0, 0, 0.5),
      rgba(0, 0, 0, 0.5)
    ),
    url('./img/drinks-bg.jpg');
  background-size: cover;
  background-position: center;
}
@media (max-width: 75em) {
  .section-menu-drinks {
    padding: 10rem 3rem;
  }
}
@media (max-width: 56.25em) {
  .section-menu-drinks {
    padding: 10rem 3rem;
  }
}
@media (max-width: 37.5em) {
  .section-menu-drinks {
    padding: 15rem 5rem;
  }
}
@media (max-width: 28.125em) {
  .section-menu-drinks {
    padding: 13rem 2.5rem;
  }
}

.section-menu {
  min-height: 100vh;
  padding: 10rem 0;
  background-color: whitesmoke;
}
@media (max-width: 75em) {
  .section-menu {
    padding: 10rem 3rem;
  }
}
@media (max-width: 56.25em) {
  .section-menu {
    padding: 10rem 3rem;
  }
}
@media (max-width: 37.5em) {
  .section-menu {
    padding: 13rem 5rem;
  }
}
@media (max-width: 28.125em) {
  .section-menu {
    padding: 13rem 2rem;
  }
}

.section-images {
  min-height: 100vh;
  background-color: #000;
  font-size: 0;
}

.section-location {
  min-height: 80vh;
  padding: 15rem 0 0 0;
  background-color: whitesmoke;
}
